#ifndef _COLOR_H_
#define _COLOR_H_

#include <stdio.h>
#include <stdint.h>

/// \brief Erstellt einen 32 Bit Farbwert
/// \param a Alphaanteil der Farbe
/// \param r Rotanteil der Farbe
/// \param g Grünanteil der Farbe
/// \param b Blauanteil der Farbe
/// \return 32 Bit Farbwert
inline uint32_t ARGB(const unsigned char a, const unsigned char r, const unsigned char g, const unsigned char b)
{
	return a << 24 | r << 16 | g << 8 | b;
}


/// \brief Struktur für Farbwerte
/// \version 0.1
struct Color {
/// Attribute:
public:
	union {
		struct {
			/// \brief Blau
			unsigned char b;

			/// \brief Grün
			unsigned char g;

			/// \brief Rot
			unsigned char r;

			/// \brief Alpha
			unsigned char a;
		}
		components;

		/// \brief ARGB Farbe
		uint32_t color;
	};
};

#endif // _COLOR_H_
