#include <stdlib.h>
#include <iostream>

#include "imagepcx.h"
#include "mask.h"

using namespace std;

int main(int argc, char *argv[])
{
	if (argc != 2) {
		cerr << "Usage: " << argv[0] << " image.bmp" << endl;
		exit(1);
	}

	size_t nx, ny;
	vector<unsigned char> image;
	loadPCXImage(argv[1], nx, ny, image);

	if (nx != image_width || ny != image_height) {
		cerr << "picture has wrong size" << endl;
		exit(1);
	}

	Mask mask(image);
	mask.print();


	return 0;
}
