#ifndef _MASK_H_
#define _MASK_H_

#include <bitset>
#include <vector>

const unsigned int mask_width = 1;
const unsigned int mask_height = 38;
const unsigned int image_width = 720;
const unsigned int image_height = 572;
const unsigned int border_top = 493;
const unsigned int border_left = 650;
const unsigned int border_bottom = 41;
const unsigned int border_right = 69;
const unsigned int color_components = 4;

class Mask
{
public:
	std::bitset<mask_width * mask_height> mask;

protected:
	std::vector<unsigned char> extract_image(const std::vector<unsigned char> &image);

public:
	Mask(const std::bitset<mask_width * mask_height> &r);

	Mask(std::vector<unsigned char> image);

	void print() const;

	bool operator==(const Mask &x) const;

	bool operator<(const Mask &x) const;

	bool empty() const;
};

#endif // _MASK_H_
